vector_member_ptrs< T > Class Template Reference

Manages resources for an array of objects. More...

`#include <smartptr.h>`

## Public Member Functions

| vector_member_ptrs (size_t size=0)
| Construct an array of `T`.
member_ptr< T > & | operator[] (size_t index)
const member_ptr< T > & | operator[] (size_t index) const
size_t | size () const
void | resize (size_t newSize)

## Detailed Description

template<class T>
class vector_member_ptrs< T >

Manages resources for an array of objects.

Template Parameters

  T | class or type

Definition at line 220 of file smartptr.h.

## Constructor & Destructor Documentation

## vector_member_ptrs()

template<class T >

vector_member_ptrs< T >::vector_member_ptrs | ( | size_t | size = `0` | ) |

inline

Construct an array of `T`.

Parameters

  size | the size of the array, in elements

If `T` is a Plain Old Dataype (POD), then the array is uninitialized.

Definition at line 226 of file smartptr.h.

## ~vector_member_ptrs()

template<class T >

vector_member_ptrs< T >::~vector_member_ptrs | ( |  | ) |

inline

Definition at line 228 of file smartptr.h.

## Member Function Documentation

## operator[]() [1/2]

template<class T >

member_ptr< T > & vector_member_ptrs< T >::operator[] | ( | size_t | index | ) |

inline

Definition at line 231 of file smartptr.h.

## operator[]() [2/2]

template<class T >

const member_ptr< T > & vector_member_ptrs< T >::operator[] | ( | size_t | index | ) | const

inline

Definition at line 233 of file smartptr.h.

## size()

template<class T >

size_t vector_member_ptrs< T >::size | ( |  | ) | const

inline

Definition at line 236 of file smartptr.h.

## resize()

template<class T >

void vector_member_ptrs< T >::resize | ( | size_t | newSize | ) |

inline

Definition at line 237 of file smartptr.h.

The documentation for this class was generated from the following file:

- smartptr.h